---
name: Douglas Robbin
start_date: 2019-08-19
locality: San Diego, California
country: USA
role: <a href="/job-families/sales/account-executive/">Account Executive (Mid-Market, Territory), US West</a>
reports_to: aasimkhan
picture: douglasrobbin.jpeg
twitter: 
gitlab: drobbin
departments:
- Sales
- Commercial Sales
story: 'Doug joins GitLab after 6 years at Cisco/Meraki. Doug is extremely passionate
  about everything automotive and can often be found in the garage working on his
  1967 GTX or in the canyons riding his motorcycles.  When not playing with his "toys"
  he enjoys time at the beach, traveling, snowboarding, golfing, working out and hikes
  with his girlfirend.

'
